/* SCRIPT CAMPO PARAMETRO TIPO DE ESTIMAR META*/

ALTER TABLE PARAMFILIAL ADD IDTIPOMETA VARCHAR2(1) DEFAULT 'N' NOT NULL;
ALTER TABLE PARAMFILIAL ADD CONSTRAINT CKC_IDTIPOMETA_PARAMFILIAL CHECK (IDTIPOMETA IN ('S', 'N'));

/* TABLE HISTORICO */

CREATE TABLE METAPREVISAOHIST
  (
    CDMETAPREV     VARCHAR2(10)  NOT NULL,   
    CDFILIAL       VARCHAR2(4)   NOT NULL,
    IDSTATUS       VARCHAR2(1)   DEFAULT 'M' NULL,
      CONSTRAINT CKC_IDSTATUS_METAPREVISAOHIST CHECK (IDSTATUS IN ('M', 'P', 'C')),         
    DTINICIO DATE NOT NULL,
    DTFINAL DATE NOT NULL,
    VRPERCACRES FLOAT(126) NULL,
    CDANO NUMBER NOT NULL,
    CDMESINICIAL NUMBER NULL,
    CDMESFINAL NUMBER NULL,
    CDOPERINCLUSAO VARCHAR(12) NULL,
    CDOPERULTATU  VARCHAR(12) NULL,
    DTULTATU          DATE           	  NULL,
    NRORGINCLUSAO     NUMBER         	  DEFAULT 1		NULL,   
    NRORGULTATU       NUMBER         	  DEFAULT 1		NULL,
    DTINCLUSAO        DATE                DEFAULT SYSDATE, 
      CONSTRAINT PK_METAPREVISAOHIST PRIMARY KEY (CDMETAPREV)
);

/

ALTER TABLE METAPREVISAOHIST 
	ADD CONSTRAINT FK_METAPREVISAOHIST FOREIGN KEY (CDFILIAL) 
		REFERENCES FILIAL(CDFILIAL); 
        
/


/* TABLE LOG ROTINAS AUTOMATICAS */

CREATE TABLE LOGODHROTINASAUTO
(	CDLOG VARCHAR2(10 BYTE), 
    CDROTINA VARCHAR2(10 BYTE), 
    CDFILIAL VARCHAR2(4 BYTE), 
    DTINICIAL DATE, 
    DTFINAL DATE, 
    IDSTATUS VARCHAR2(1 BYTE) DEFAULT 'S', 
    MENSAGE VARCHAR2(200 BYTE), 
    EXTENSAO VARCHAR2(10 BYTE)
);

/

CREATE UNIQUE INDEX PK_LOGODHROTINASAUTO ON LOGODHROTINASAUTO (CDLOG); 

/

ALTER TABLE LOGODHROTINASAUTO ADD CONSTRAINT PK_LOGODHROTINASAUTO PRIMARY KEY (CDLOG);

/

ALTER TABLE LOGODHROTINASAUTO ADD CONSTRAINT CK_LOGODHROTINASAUTO CHECK (IDSTATUS IN ('S','E')) ENABLE;

/

ALTER TABLE LOGODHROTINASAUTO MODIFY (CDROTINA NOT NULL ENABLE);

/

ALTER TABLE LOGODHROTINASAUTO MODIFY (CDLOG NOT NULL ENABLE);

/


/* TABLE AGENDA AUTOMATIZADOR */


CREATE TABLE AGENDAODHAUTOMATIZADOR 
(	CDAGENDAODHAUT VARCHAR2(10 BYTE), 
	CDROTINA VARCHAR2(10 BYTE), 
	CDFILIAL VARCHAR2(4 BYTE), 
	IDSTATUS VARCHAR2(1 BYTE) DEFAULT 'S', 
	ENVIAEMAIL VARCHAR2(1 BYTE) DEFAULT 'S', 
	NRORG NUMBER DEFAULT 1335, 
	MINUTO VARCHAR2(10 BYTE), 
	HORA VARCHAR2(10 BYTE), 
	DIA VARCHAR2(10 BYTE), 
	MES VARCHAR2(10 BYTE), 
	DIASSEMANA VARCHAR2(10 BYTE), 
	DTINCLUSAO DATE, 
	DTULTATU DATE, 
	NRORGINCLUSAO NUMBER, 
	CDOPERINCLUSAO VARCHAR2(12 BYTE), 
	NRORGULTATU NUMBER, 
	CDOPERULTATU VARCHAR2(12 BYTE), 
	EMAIL VARCHAR2(100 BYTE)
);

/

ALTER TABLE AGENDAODHAUTOMATIZADOR ADD CONSTRAINT CKC_EMAIL_ODHAUTOMATIZADOR CHECK (ENVIAEMAIL IN ('S','N')) ENABLE;

/

ALTER TABLE AGENDAODHAUTOMATIZADOR ADD CONSTRAINT CKC_AGENDAODHAUTOMATIZADOR CHECK (IDSTATUS IN ('S','N')) ENABLE;

/

ALTER TABLE AGENDAODHAUTOMATIZADOR MODIFY (CDROTINA NOT NULL ENABLE);

/

ALTER TABLE AGENDAODHAUTOMATIZADOR MODIFY (CDAGENDAODHAUT NOT NULL ENABLE);

/

ALTER TABLE AGENDAODHAUTOMATIZADOR ADD CONSTRAINT PK_AGENDAODHAUTOMATIZADOR PRIMARY KEY (CDAGENDAODHAUT);