IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'ATUALIZA_NMBAIREMPR'  and
            type = 'TR'                 and
            u.uid = o.uid               and 
            u.name = USER)
  DROP TRIGGER ATUALIZA_NMBAIREMPR
  GO

CREATE TRIGGER ATUALIZA_NMBAIREMPR
ON EMPRESA
FOR INSERT, UPDATE
AS

DECLARE @V_CONTA_REG_INS NUMERIC(10);
DECLARE @V_NEW_CDEMPRESA   VARCHAR(02);
DECLARE @V_NEW_CDPAIS      VARCHAR(04);
DECLARE @V_NEW_SGESTADO    VARCHAR(02);
DECLARE @V_NEW_CDMUNICIPIO VARCHAR(04);
DECLARE @V_NEW_CDBAIRRO    VARCHAR(10);
DECLARE @V_NEW_NMBAIRRO    VARCHAR(50);

BEGIN
   IF(SELECT CDBAIRRO FROM DELETED) <> (SELECT CDBAIRRO FROM INSERTED) BEGIN
      SELECT @V_CONTA_REG_INS = COUNT(*)
      FROM INSERTED;
      IF @V_CONTA_REG_INS <> 0 BEGIN --SIGNIFICA QUE FOI OU INSERO DE DADOS OU ALTERAO
         DECLARE C_TRG_EMPRESA CURSOR FOR
         SELECT CDEMPRESA, CDPAIS, SGESTADO, CDMUNICIPIO, CDBAIRRO
           FROM INSERTED
          WHERE 0 = (SELECT COUNT(*)
                       FROM DELETED)
         UNION
         SELECT INSERTED.CDEMPRESA, INSERTED.CDPAIS, INSERTED.SGESTADO, INSERTED.CDMUNICIPIO, INSERTED.CDBAIRRO
         FROM   INSERTED, DELETED
         WHERE INSERTED.CDEMPRESA   = DELETED.CDEMPRESA   AND
               INSERTED.CDPAIS      = DELETED.CDPAIS      AND
               INSERTED.SGESTADO    = DELETED.SGESTADO    AND
               INSERTED.CDMUNICIPIO = DELETED.CDMUNICIPIO;
         OPEN C_TRG_EMPRESA;
         FETCH NEXT FROM C_TRG_EMPRESA INTO @V_NEW_CDEMPRESA,
                                            @V_NEW_CDPAIS,
                                            @V_NEW_SGESTADO,
                                            @V_NEW_CDMUNICIPIO,
                                            @V_NEW_CDBAIRRO;

         WHILE (@@FETCH_STATUS = 0) BEGIN
            IF @V_NEW_CDBAIRRO IS NOT NULL BEGIN
               SELECT @V_NEW_NMBAIRRO = NMBAIRRO
                 FROM BAIRRO
                WHERE CDBAIRRO    = @V_NEW_CDBAIRRO
                  AND CDPAIS      = @V_NEW_CDPAIS
                  AND SGESTADO    = @V_NEW_SGESTADO
                  AND CDMUNICIPIO = @V_NEW_CDMUNICIPIO;

               UPDATE EMPRESA
                  SET NMBAIREMPR = @V_NEW_NMBAIRRO
                 FROM INSERTED
                WHERE INSERTED.CDEMPRESA   = EMPRESA.CDEMPRESA;
            END
            ELSE BEGIN
             --  RAISERROR(@V_NEW_CDBAIRRO, 16,1);
               UPDATE EMPRESA
                  SET NMBAIREMPR = NULL
                 FROM INSERTED
                WHERE INSERTED.CDEMPRESA   = EMPRESA.CDEMPRESA;
            END;
            FETCH NEXT FROM C_TRG_EMPRESA INTO @V_NEW_CDEMPRESA,
                                               @V_NEW_CDPAIS,
                                               @V_NEW_SGESTADO,
                                               @V_NEW_CDMUNICIPIO,
                                               @V_NEW_CDBAIRRO;
         END;
         CLOSE C_TRG_EMPRESA;
         DEALLOCATE C_TRG_EMPRESA;
      END;
   END;
END;
GO
