var Dfe60000_ManifestacaoDestinatario_Controller = function(ScreenService, General) {
    var self = this;
    
    var popupOpen = false;
    
    self.save = function(widget) {
        if (!popupOpen) {
            General.widgetSave(widget);
        }
    };

    self.validaDataFinalmanifestacao = function(field){
        var prazoMaximo = field.widget.getField('NRDIASCONCLUSAO');
        var aviso = field.widget.getField('NRDIASAVCONCL');
        var bloqueio = field.widget.getField('NRDIASBLCONCL');
        var element = field.element;
        if (field.name == 'NRDIASAVCONCL' && !prazoMaximo.value()){
            popupOpen = true;
            ScreenService.showMessage('Prazo máximo para manifestação conclusiva deve ser informado.').then(function(){
                field.widget.getField('NRDIASCONCLUSAO').focus();
                popupOpen = false;
            });
        }else {
            if (aviso.value() > prazoMaximo.value() || bloqueio.value() > prazoMaximo.value()) {
                popupOpen = true;
                ScreenService.showMessage('Número de dias anteriores à data final de manifestação conclusiva deve ser menor que o prazo máximo.').then(function () {
                    field.setValue(field.widget.backupRow[field.name]);
                    element.focus();
                    popupOpen = false;
                });
            }
            else {
                field.widget.backupRow[field.name] = field.value();
            }
        }
    };

    self.justInteger = function (campos){
        campos.forEach(function(campo){
            General.justInteger(campo);
        });
    };

    self.validaDiasDownload = function (field){
        var element = field.element;
        if (field.value() > 30){
            var msg = "A quantidade de dias para download automático deve ser menor que 31 dias.";
            popupOpen = true;
            ScreenService.showMessage(msg).then (() => {
               element.focus();
               popupOpen = false;
            });
            field.widget.currentRow.NRDIASDOWNLOD = field.widget.backupRow.NRDIASDOWNLOD;
        }else{
            field.widget.backupRow.NRDIASDOWNLOD = field.widget.currentRow.NRDIASDOWNLOD;
        }
    };

    self.validaDiaFechamento = function(field){
        var element = field.element;
        if (field.value() > 30){
            var msg = "Dia para fechamento deve ser menor que 31 dias.";
            popupOpen = true;
            ScreenService.showMessage(msg).then (() => {
               element.focus();
               popupOpen = false;
            });
            field.widget.currentRow.NRDIAFECHMANIF = field.widget.backupRow.NRDIAFECHMANIF;
        }else{
            field.widget.backupRow.NRDIAFECHMANIF = field.widget.currentRow.NRDIAFECHMANIF;
        }
    };
    
    self.desabilitaValues = function(field, values) {
        var fieldsToDisable;
        var fieldsToEnable;
        if (field.dataSource.rawdata[0].IDCIENCIAEMISS != null) {
            //Field idcienciaemiss
            fieldsToDisable = field.dataSource.rawdata.filter(value => {
            return values.includes(value.IDCIENCIAEMISS);
            });
            
            fieldsToEnable = field.dataSource.rawdata.filter(value => {
                return !values.includes(value.IDCIENCIAEMISS);
            });
        }
        else {
            //Field idconfirmaemiss
            fieldsToDisable = field.dataSource.rawdata.filter(value => {
            return values.includes(value.IDCONFIRMAEMISS);
            });
            
            fieldsToEnable = field.dataSource.rawdata.filter(value => {
                return !values.includes(value.IDCONFIRMAEMISS);
            });
        }
        
        fieldsToDisable.forEach(field => {
            field.ENABLE = false;
        });
        
        fieldsToEnable.forEach(field => {
            field.ENABLE = true;
        });
    };

    self.validaCamposEmissaoConfirmacao = function (widget) {
        var idcienciaemiss = widget.getField('IDCIENCIAEMISS');
        var idconfirmaemiss = widget.getField('IDCONFIRMAEMISS');
        
        /*0: Não Realizar Automaticamente
          1: Na Importação de XML
          2: No Lançamento de Entrada
          3: Na Aprovação da Nota
          4: Na Liberação para Financeiro
        */
        
        switch (idcienciaemiss.value()) {
            case "0" : self.desabilitaValues(idconfirmaemiss, []); break;
            case "1" : self.desabilitaValues(idconfirmaemiss, ["1"]); break;
            case "2" : self.desabilitaValues(idconfirmaemiss, ["1", "2"]); break;
            case "3" : self.desabilitaValues(idconfirmaemiss, ["1", "2", "3"]); break;
            case "4" : self.desabilitaValues(idconfirmaemiss, ["1", "2", "3", "4"]); break;
        }
        
        switch (idconfirmaemiss.value()) {
            case "0" : self.desabilitaValues(idcienciaemiss, []); break;
            case "1" : self.desabilitaValues(idcienciaemiss, ["1", "2", "3", "4"]); break;
            case "2" : self.desabilitaValues(idcienciaemiss, ["2", "3", "4"]); break;
            case "3" : self.desabilitaValues(idcienciaemiss, ["3", "4"]); break;
            case "4" : self.desabilitaValues(idcienciaemiss, ["4"]); break;
        }
        
        self.alteraVisibilidadeCienciaConfirmacao(idcienciaemiss, idconfirmaemiss);
    };

    self.alteraVisibilidadeCienciaConfirmacao = function(idcienciaemiss, idconfirmaemiss){
        idcienciaemiss.dataSource.data = idcienciaemiss.dataSource.rawdata.filter(function(data){
            if (data.ENABLE){
                return data;
            }
        });

        idconfirmaemiss.dataSource.data = idconfirmaemiss.dataSource.rawdata.filter(function(data){
            if (data.ENABLE){
                return data;
            }
        });
        
        idconfirmaemiss.reload();
        idcienciaemiss.reload();
        idcienciaemiss.widget.redraw();
    };

    self.setCurrentRowForm = function (widget){
        if (widget.dataSource.data.length) {
            widget.currentRow = widget.dataSource.data[0];
        }
        widget.mode = 'view';
    };

    self.unMask = function(str) {
        if(typeof str === 'string' && str.indexOf('R$') != -1)
            str = $.currency.unmaskString(str, {"thousands": "."});
        else if(typeof str === 'string' && str.indexOf('%') != -1)
            str = parseFloat(str.replace(',', '.'));
        else str = str.replace(/[\D]+/g,'');
        return str;
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register("Dfe60000_ManifestacaoDestinatario_Controller", Dfe60000_ManifestacaoDestinatario_Controller);
});